import { Global, Module } from '@nestjs/common';
import { APP_DATASOURCES } from './database.constants';
import { EbitempApiDatabaseModule } from './connections/ebitemp-api/database.module';
import { dataSources } from './utils/typeorm-data-source-factory';

const dataSourcesProvider = {
  provide: APP_DATASOURCES,
  useValue: dataSources,
};

const databaseModules = [EbitempApiDatabaseModule];

@Global()
@Module({
  imports: [...databaseModules],
  providers: [dataSourcesProvider],
  exports: [dataSourcesProvider, ...databaseModules],
})
export class AppDatabaseModule {}
